# $Revision: 1.74 $, $Date: 2007/01/17 11:25:18 $
# TODO:
# - perl/python/tcl bindings subpackages
#
# Conditional build:
%bcond_with	tcl	# Tcl/Tk bindings
#
Summary:	File transfer utilities between Linux and PalmPilots
Summary(es):	Bibliotecas estticas necesarias para generar aplicaciones Pilot
Summary(pl):	Narzdzia do przesyania plikw midzy Linuksem a PalmPilotami
Summary(pt_BR):	Utilitrios de transferncia de dados entre Unix e o Pilot
Summary(ru):	    Linux  PalmPilot
Summary(uk):	̦  ̦ ͦ Linux  PalmPilot
Name:		pilot-link
Version:	0.12.1
Release:	1
License:	GPL
Group:		Applications/Communications
# http://downloads.pilot-link.org/%{name}-%{version}.tar.bz2
# unfortunately forbids wget as User-Agent (used by our distfiles)
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	80579c6f68eb583f54294d5651c4632b
Patch0:		%{name}-ac.patch
URL:		http://www.pilot-link.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libusb-devel
BuildRequires:	perl-base >= 1:5.6
BuildRequires:	popt-devel
BuildRequires:	python-devel
BuildRequires:	readline-devel >= 5.0
%if %{with tcl}
BuildRequires:	tcl-devel >= 8.3.2
BuildRequires:	tk-devel >= 8.3.2
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_ulibdir	%{_prefix}/lib

%description
This suite of tools allows you to upload and download programs and
data files between a Linux/UNIX machine and the PalmPilot. It has a
few extra utils that will allow for things like syncing the
PalmPilot's calendar app with Ical. Note that you might still need to
consult the sources for pilot-link if you would like the Python, Tcl,
or Perl bindings.

Now also with support for USB PalmOS devices (Sony CLIE, Palm m5xx,
Handspring Visor).

%description -l es
Bibliotecas estticas necesarias para generar aplicaciones Pilot.

%description -l pl
Ten zestaw narzdzi pozwala na przesyanie programw i plikw z danymi
pomidzy maszyn linuksow/uniksow a PalmPilotem. Ma kilka
dodatkowych narzdzi pozwalajcych na synchronizacj kalendarza
PalmPilota z programem Ical. Aby uywa interfejsu do Pythona, Tcl lub
Perla, moe by potrzeba zajrzenia do rde pilot-linka.

Obecna wersja dziaa rwnie z urzdzeniami z PalmOS wyposaonymi w
port USB (Sony CLIE, Palm m5xx, Handspring Visor).

%description -l pt_BR
Este conjunto de ferramentas permite transferir programas e dados
entre mquinas *nix e o Palm Pilot. Alguns utilitrios extras permitem
coisas como sincronizar dados entre o calendrio do Pilot e o Ical.

%description -l uk
 ¦ Ԧ Ѥ      
ͦ  Linux  PalmPilot.    ˦ 
̦, ˦  ˦ ަ  æ 
PalmPilot  Ical.

%description -l ru
        
   Linux  PalmPilot.    
 ,     
 PalmPilot  Ical.

%package devel
Summary:	Pilot development header files
Summary(es):	Archivos de inclusin para el desarrollo de programas
Summary(pl):	Pliki nagwkowe do biblioteki pilot-link
Summary(pt_BR):	Arquivos de incluso para o desenvolvimento de programas
Summary(ru):	      PalmPilot
Summary(uk):	    Ħ  PalmPilot
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the development headers that are used to build
the pilot-link package.

%description devel -l es
Este paquete contiene los archivos de inclusin necesarios para crear
aplicaciones Pilot.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe uywane przy budowaniu pakietu
pilot-link.

%description devel -l pt_BR
Este pacote contm os arquivos de incluso necessrios para gerar
aplicaes Pilot.

%description devel -l ru
     C   
  PalmPilot.

%description devel -l uk
  ͦ  ˦ C    Ħ 
PalmPilot.

%package static
Summary:	Pilot link static libraries
Summary(es):	Bibliotecas estticas necesarias para crear aplicaciones Pilot
Summary(pl):	Statyczne biblioteki pilot-link
Summary(pt_BR):	Bibliotecas estticas necessrias para gerar aplicaes Pilot
Summary(ru):	       PalmPilot
Summary(uk):	Φ ¦̦    Ħ  PalmPilot
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Pilot link static libraries.

%description static -l es
Este paquete contiene las bibliotecas estticas necesarias para crear
aplicaciones Pilot.

%description static -l pl
Statyczne biblioteki pilot-link.

%description static -l pt_BR
Este pacote contm as bibliotecas estticas necessrias para gerar
aplicaes Pilot.

%description static -l ru
       
  PalmPilot.

%description static -l uk
  ͦ Φ ¦̦    Ħ 
PalmPilot.

%prep
%setup -q
%patch0 -p1

%if "%{_lib}" == "lib64"
sed -i -e 's#/lib #/lib64 #g' -e 's#/lib/#/lib64/#g' m4/python.m4
%endif

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%{__automake}

%configure \
	%{!?debug:--disable-debug} \
	--enable-conduits \
	--enable-threads \
	--enable-libusb \
	--with-libpng=%{_prefix} \
	--without-included-popt \
	--with-perl \
	%{!?with_tcl:--without-tcl}%{?with_tcl:--with-tcl=%{_ulibdir}} \
	--with-python


%{__make} \
	LIBDIR="%{_datadir}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README* doc/README.usb doc/README.debugging NEWS
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_datadir}/pilot-link
%{_mandir}/man[17]/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_aclocaldir}/*
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pilot-link.spec,v $
Revision 1.74  2007/01/17 11:25:18  qboosh
- bcond desc

Revision 1.73  2007/01/16 22:03:29  arekm
- df workaround for site blocking wget

Revision 1.72  2007/01/16 21:53:54  arekm
- up to 0.12.1

Revision 1.71  2007/01/14 18:35:55  arekm
- rel 8

Revision 1.70  2006/02/22 22:58:10  freetz
- rel.7, removed (propably redundant) XFree86-devel BR

Revision 1.69  2005/09/17 10:25:18  arekm
- rebuild with readline 5.0

Revision 1.68  2004/10/31 21:53:11  paladine
- spaces->tabs
- formatting

Revision 1.67  2004/10/28 14:24:04  tiwek
- added hack to setting convert charset
- export PILOTCHARSET=

Revision 1.66  2004/05/09 05:33:58  ankry
- BR fixes, rel. 4

Revision 1.65  2004/03/15 22:36:49  qboosh
- added iconv-in-glibc patch, release 3

Revision 1.64  2004/02/12 20:14:56  qboosh
- strict internal deps

Revision 1.63  2003/12/30 02:42:12  qboosh
- added am18 patch, release 2

Revision 1.62  2003/10/14 12:45:52  qboosh
- added link patch, cleanups

Revision 1.61  2003/07/21 20:34:01  grzegol
- updated to 0.11.8
- added tcl_m4 patch (adds ommited tcl.m4 file)
- cosmetics

Revision 1.60  2003/06/12 14:40:33  qboosh
- removed obsolete configure patch and sed workaround

Revision 1.59  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.58  2003/05/25 06:25:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.57  2003/01/20 15:11:13  undefine
- updated to 0.11.7
- more README*
- %{name}-configure is needed? :/

Revision 1.56  2003/01/17 08:32:47  tiwek
-added patch to configure.in for building with iconv support
 (needed to compile Evolution with PalmPilot support)

Revision 1.55  2003/01/08 21:42:13  klakier
- ver 0.11.6
- added workaround for undetected 'sed'

Revision 1.54  2002/11/25 14:17:50  ankry
- massive attack: no need for 755 for *.la

Revision 1.53  2002/10/09 17:05:02  kloczek
- merge translations from KSI.

Revision 1.52  2002/10/09 13:14:44  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.51  2002/10/09 07:27:25  marcus
- finished upgrade

Revision 1.50  2002/10/09 06:56:39  marcus
- updated to 0.11.5

Revision 1.49  2002/07/11 01:24:03  rrw
- added buildreq for perl-devel;
- added info about usb models to description;

Revision 1.48  2002/07/01 16:10:23  kloczek
- use new %doc.

Revision 1.47  2002/07/01 10:46:04  rrw
- upgraded to 0.10.99;
- WARNING! this is development release and shouldn't go to base until 0.11
  is released; on the other hand this development release is needed when
  you want to use it with USB PalmOS devices (all Sony CLI models,
  Palm m500/m505/m515 and Handspring Visors);
- removed all patches, all those issues are resolved in current development
  version;
- structure of (sub)packaging needs rethinking since there is clear support
  for several different programming languages;
- release 1;

Revision 1.46  2002/06/23 20:32:33  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.45  2002/05/21 23:14:23  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.44  2002/02/23 04:17:27  kloczek
- adapterized.

Revision 1.43  2002/02/22 23:29:35  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.42  2002/01/18 02:14:36  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.41  2001/12/07 15:38:21  qboosh
- pl translations, cosmetics; release 12

Revision 1.40  2001/11/24 09:28:24  kloczek
- relase 11,
- merge gcc3 patch from rawhide,
- merge translations from Conectiva,
- added ac_fixes patch (now pilot-link build correctly if ac files are
  regeneratewd).

Revision 1.39  2001/05/12 03:44:21  kloczek
- release 4: make libtool hapy.

Revision 1.38  2001/04/14 02:13:50  kloczek
- release 3,
- merged ack rawhide patch,
- added URL,
- rebuild against readline 4.2,
- added using %%{rpmcflags}, %%{rpmldflags} macro.

Revision 1.37  2001/01/25 20:03:47  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.36  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.35  2000/12/22 04:38:35  kloczek
- updated to 0.9.5,
- rebuild against tcl/tk 8.3.5.

Revision 1.34  2000/10/27 09:28:26  kloczek
- release 11: use new rpm automation.

Revision 1.33  2000/07/13 23:19:01  baggins
- release 5
- rebuild with ncurses 5.1

Revision 1.32  2000/06/09 07:23:46  kloczek
- added using %%{__make} macro.

Revision 1.31  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.30  2000/04/12 05:07:59  kloczek
- release 4,
- rebuild against readline >= 4.1.

Revision 1.29  2000/04/01 11:15:34  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.28  2000/03/28 16:55:03  baggins
- translated kloczkish into english

Revision 1.27  1999/11/16 18:37:17  kloczek
- release 3,
- build agains ncurses 5.0,
- new Summary and %%description from rawhide spec.

Revision 1.26  1999/09/25 00:23:19  kloczek
- release 2,
- added DESTDIR patch,
- added using %configure macro.

Revision 1.25  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.24  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 27 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.9.3-1]
- based on RH spec,
- spec rewrited by PLD team.
